it-swarm-ja.com

Amazon LinuxでPHPをバージョン5.4に更新する方法は?

PHP 5.4をAmazonLinuxインスタンスにインストールする必要があります。

現在、次のものがあります。

[email protected] webapps]$ php -version
PHP 5.3.29 (cli) (built: Aug 20 2014 16:41:34)

このためのyumパッケージはありますか?

$ yum install php-5.4
Loaded plugins: priorities, security, update-motd, upgrade-helper
Setting up Install Process
No package php-5.4 available.
Error: Nothing to do

Php用にyumを更新してみましょう:

yum update php
Dependencies Resolved

===============================================================================================================================================================================
 Package                                   Arch                                 Version                                          Repository                               Size
===============================================================================================================================================================================
Updating:
 php                                       x86_64                               5.3.29-1.7.amzn1                                 amzn-main                               2.8 M
Updating for dependencies:
 php-bcmath                                x86_64                               5.3.29-1.7.amzn1                                 amzn-main                                52 k
 php-cli                                   x86_64                               5.3.29-1.7.amzn1                                 amzn-main                               2.6 M
 php-common                                x86_64                               5.3.29-1.7.amzn1                                 amzn-main                               1.0 M
 php-Gd                                    x86_64                               5.3.29-1.7.amzn1                                 amzn-main                               219 k
 php-process                               x86_64                               5.3.29-1.7.amzn1                                 amzn-main                                66 k
 php-xml                                   x86_64                               5.3.29-1.7.amzn1                                 amzn-main                               234 k

さて、それは私たちに最新/最高のphp 5を取得しています。 5.4を取得する方法は?

たぶんPHP 5.4はAmazonLinuxではまだサポートされていませんか?

[〜#〜] update [〜#〜]:以下の@vembutechの回答からわずかに更新されました:

(rootとして実行):

yum remove httpd*
yum remove $(yum list installed | grep "php" | awk '{print $1}')
yum install httpd24 php54

これで、php5.4の新しい気の利いた組み込みhttpdサーバーを使用できます。

[email protected] nanoweb_2.2.6]$ php -S localhost:8000
PHP 5.4.37 Development Server started at Fri Feb 20 20:31:22 2015
Listening on http://localhost:8000
Document root is /root/nanoweb_2.2.6
Press Ctrl-C to quit.
5
javadba

まず、古いバージョンを削除して新しいバージョンをインストールする必要があります。

以下のコマンドを使用して、httpdサービスを削除します。

Sudo yum remove httpd *

コマンドを使用してインストールされたPHPパッケージのリストを取得します

Sudoyumリストがインストールされました| grep "php"

パッケージを削除する

yum remove php-cli.x86_64 php-common.x86_64 php-mysql.x86_64 php-pdo.x86_64 php-xml.x86_64

これで、yuminstallコマンドを使用してhttpdとphpの次の上位バージョンをインストールできます。

Sudo yum install httpd24 php54

11
vembutech

公式のAmazonリポジトリには5.3より高いphpがないようです。

できることは、必要なパッケージを他の場所からRPM形式で取得するか、5.4を運ぶAmazon以外のリポジトリを追加することです。クイックグーグルはwebtatic.comにアクセスすることをお勧めします

編集:Amazonは実際には5.4を提供していますが、venbutechが指摘しているように「php54」パッケージとして提供していることに注意してください。

1
Fabo.sk